#pragma once
#include <map>
struct M_InsideIdData
{
	//ID
	int mId;
	//Íæ¼Òid
	int mPlayerId;
};

class M_InsideId
{
public:
private:
	static std::auto_ptr<M_InsideId> msSingleton;
public:
	int GetCount();
	const M_InsideIdData* GetData(int Id);
	const std::map<int, M_InsideIdData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_InsideId* GetSingleton();
	static void Release();
private:
	std::map<int, M_InsideIdData> mMapData;
};
